Subject: [GIT PULL] clockevents/clocksource: Add Marvell Orion SoC timer

From: [email-masked] (Sebastian Hesselbarth)
Date: Sun, 07 Jul 2013 13:44:11 +0200

On 06/12/2013 09:59 PM, Daniel Lezcano wrote:
>
> The following changes since commit 762cf9695d714d312ef7369bed1b9f9467c9e64e:
>
>    Merge branch 'timers/clockevents' of
> git://git.linaro.org/people/dlezcano/clockevents into timers/core
> (2013-06-08 22:58:27 +0200)
>
> are available in the git repository at:
>
>
>    git://git.linaro.org/people/dlezcano/clockevents.git timers/clockevents
>
> for you to fetch changes up to fbb3cb01505e7365c70a7fe680e10ffff3175160:
>
>    clocksource: Add Marvell Orion SoC timer (2013-06-11 14:41:01 +0200)
>
> ----------------------------------------------------------------
> Sebastian Hesselbarth (1):
>        clocksource: Add Marvell Orion SoC timer

Thomas, John,

with tip timers/core PR sent, I realized that the above did not make it
in. As we have a whole bunch of cleanup and DT conversion patches for
v3.11-rc1 depending on it, would it be ok for you to let Jason Cooper
take it through his ARM sub-branch?

If you are fine with it, I will resend the patch and note that Daniel
can drop it and Jason will take it.

Sebastian

>   .../bindings/timer/marvell,orion-timer.txt         |   17 +++
>   drivers/clocksource/Kconfig                        |    5 +
>   drivers/clocksource/Makefile                       |    1 +
>   drivers/clocksource/time-orion.c                   |  150
> ++++++++++++++++++++
>   4 files changed, 173 insertions(+)
>   create mode 100644
> Documentation/devicetree/bindings/timer/marvell,orion-timer.txt
>   create mode 100644 drivers/clocksource/time-orion.c